(use-modules
	(gnu home)
	(gnu packages)
	(gnu services)
	(gnu packages admin)
	(gnu packages kde-internet)
	(gnu packages shellutils)
	(gnu packages terminals)
	(gnu packages vim)
	(gnu packages version-control)
	(gnu home services)
	(nongnu packages mozilla)
	(guix gexp)
	(gnu home services shells))

(home-environment
	(packages
		(list
			htop
			liquidprompt
			fzf
			fzf-tab
			firefox
			git
			))

	(services (list
			(service home-zsh-service-type (home-zsh-configuration (zshrc
				(list
					(mixed-text-file "basic-config"
													 "autoload -Uz compinit promptinit; compinit; promptinit\n"
													 "zstyle ':completion::complete:*' gain-privelages 1\n"
													 )
					(mixed-text-file "fzf-integration"
                          "eval <$(" fzf "/bin/fzf) --zsh")
					(mixed-text-file "liquidprompt"
													 "[[ $- = *i* ]] && source " liquidprompt "/share/liquidprompt/liquidprompt")
					(mixed-text-file "powerline-theme"
													 "source " liquidprompt "/share/liquidprompt/themes/powerline/powerline.theme")
					))))
			(simple-service 'dotfiles home-files-service-type
				(list
					`(".gitconfig" ,(local-file "./data/gitconfig"))
					`(".vimrc" ,(local-file "./data/vimrc"))
					)))))

